#include <iostream>
#include <string>
#include "Dice.hpp"

int main(int argc, char* argv[])
{
  // Diese Methode kann an jeder beliebigen Stelle im Programm aufgerufen
  // werden. Damit kann also immer auf den Würfel zugegriffen werden.
  Dice& dice = Dice::getInstance();
  
  for (size_t i = 0; i < 20; i++)
  {
    unsigned int result = dice.roll();
    std::cout << "Roll number: ";

    std::cout.width(2);
    std::cout << i + 1;
    std::cout.width(0);

    std::cout << " - Result: " << result << std::endl;
  }

  return 0;
}
