#include <cstdio>
#include <vector>

#include "01-song.hpp"
#include "01-jukebox.hpp"

using std::vector;

using Music::Jukebox;
using Music::Song;

//Möglichkeit 2: Implementierung des Konstruktors erfolgt hier.
// Jukebox::Jukebox(){}

void Jukebox::addSongs(Song* s)
{
  songs_.push_back(s);
  totalSongs_++;
}

void Jukebox::playNextSong()
{
  printf("Playing song: %s from %s\n", songs_.front()->title_, songs_.front()->interpret_);
  songs_.pop_back();
}
