# include "pet.hpp"

// TODO: add include guards (see pet.hpp for an example)

class Pig : public Pet {
  public:
    // using Pet::Pet; // possible instead of defining the constructor for Pig. Using this line, Pig inherits Pet's constructor.
    Pig(const char* name, unsigned age)
      : Pet{ name, age } {}
    Pig(const Pig& other) = delete;
    ~Pig() = default;
    void bath() { printf("%s enjoys taking a bath!\n", name_); }
    void drink() override { printf("%s drinks water.\n", name_); }
};
