#include <iostream>
#include <string>
#include <memory>

struct SuperHero {
  std::string name_;
  SuperHero(std::string name) : name_(name) 
  { 
    std::cout << name_ << " wurde erzeugt" << std::endl; 
  };
  
  ~SuperHero() 
  { 
    std::cout << name_ << " wurde zerstört" << std::endl; 
  };
};
 
int main()
{
  auto joker1 = std::make_shared<SuperHero>("Joker");
  std::weak_ptr<SuperHero> joker2(joker1);
  std::cout << joker1.use_count() << std::endl;
} 