#include <iostream>
#include <exception>

class MyException : public std::exception
{
  public: 
    const char* what () const throw ()
    {
      return "Ich schmeiße mit Exceptions um mich!";
    }
};
  
int main()
{
  try {
    throw MyException();
  } catch (MyException& e) {
    std::cout << e.what() << std::endl;
  } catch (std::exception& e) {
    std::cout << e.what();
  }
}