#include <iostream>
#include <string>

class Muggle {
  private:  
    std::string job_;
 
  public:
    Muggle(std::string job) : job_(job) { }
 
    std::string getJob () const {
        return job_;
    }
};
 
class Wizard  {
  private:  
    std::string house_;
 
  public:  
    Wizard(std::string house) : house_(house) { }
 
    std::string getHouse () const {
        return house_;
    }
};
 
class Halfblood : public Muggle, public Wizard {
  private:
    bool isMotherMuggle_;
    bool isFatherMuggle_;
 
  public:
    Halfblood(std::string job, std::string house, 
      bool muggleMother, bool muggleFather) : Muggle(job), 
      Wizard(house), isMotherMuggle_(muggleMother), 
      isFatherMuggle_(muggleFather) { }
};
 
int main()
{
  Halfblood severus_snape("Teacher", "Slytherin", false, true);
 
  return 0;
}