//
// program creates an int-vector and uses methods
// to manipulate the vector
//


#include <cstdio>
#include <vector>

void printVector(std::vector<int> int_vector)
{
  printf("(size %lu)   ", int_vector.size());
  for(int element : int_vector)
  {
    printf("[%d] ", element);
  }
  printf("\n");
}

int main()
{
  std::vector<int> myvector;
  printVector(myvector);

  myvector.push_back(42);
  myvector.push_back(4);
  printVector(myvector);

  if(!myvector.empty() && myvector.at(0) == 42)
  {
    printf("life, the universe and everything\n");
  }

  myvector.pop_back();
  printVector(myvector);

  myvector.clear();
  printVector(myvector);

  return 0;
}