#ifndef ACCOUNT_HPP
#define ACCOUNT_HPP

class Account
{
  private:
    int euros_;

  public:
    Account() : euros_(0) {}
    Account(const Account& copy) : euros_(copy.euros_) {}
    Account& operator=(const Account& rhs)
    {
      if (this != &rhs)
        euros_ = rhs.euros_;
      return *this;
    }
    ~Account() = default;

    int getEuros() const { return euros_; }
    void changeEurosBy(int difference) { euros_ += difference; }
};

#endif // ACCOUNT_HPP
