#ifndef DICE_HPP
#define DICE_HPP

#include <random>

class Dice
{
  private:

    std::mt19937 mt_;
    std::uniform_int_distribution<unsigned int> distribution_;

    Dice();
    Dice(const Dice& copy) = delete;
    ~Dice() = default;

  public:

    static Dice& getInstance();
    unsigned int roll();
};

#endif // DICE_HPP
