#ifndef PET_H
#define PET_H

#include <cstring>
#include <cstdio>

class Pet {
  unsigned age_;
  protected:
    char* name_;
  public:
    Pet(const char* name, unsigned age)
      : age_{age}, name_{ new char[strlen(name) + 1] }
    {
      strcpy(name_, name);
    }
    Pet(const Pet& other) = delete;
    ~Pet() { delete[] name_; }
    unsigned getAge() { return age_; }
    void setAge(unsigned age) { age_ = age; }
    void drink() { printf("%s drinks\n", name_); }
};

#endif