#include <iostream>
#include <string>
#include <memory>

struct SuperHero {
  public: 
    SuperHero(std::string name) : name_(name) 
    { 
      std::cout << name_ << " wurde erzeugt" << std::endl; 
    };
    
    ~SuperHero() 
    { 
      std::cout << name_ << " wurde zerstört" << std::endl; 
    };
 
  private:
    std::string name_;
};
 
int main()
{
  std::unique_ptr<SuperHero> s1(new SuperHero("Batman"));     
  return 0;
}