#include <iostream>
#include <string>
#include <memory>
 
struct SuperHero {
  std::string name_;
  SuperHero(std::string name) : name_(name) 
  { 
    std::cout << name_ << " wurde erzeugt" << std::endl; 
  };
 
  ~SuperHero() 
  { 
    std::cout << name_ << " wurde zerstört" << std::endl; 
  };
};
 
int main()
{
  {
    std::unique_ptr<SuperHero> s1(new SuperHero("Batman"));     
  } //Scope von s1 endet => s1 wird zerstört. 
  return 0;
} 