#include <iostream>
#include <string>
#include <memory>
 
struct SuperHero {
  public:
    SuperHero(std::string name) : name_(name) { };
    ~SuperHero() { };
    std::shared_ptr<SuperHero> enemie_;
 
  private:
    std::string name_;
};
 
int main()
{
  std::shared_ptr<SuperHero> s1(new SuperHero("Batman"));
  std::shared_ptr<SuperHero> s2 = std::make_shared<SuperHero>("Two-Face"); 
 
  s1->enemie_ = s2;
  s2->enemie_ = s1;
 
  return 0;
}

// Check for valgrind :)