#include <iostream>
#include <string>

class Muggle {
  private:  
    std::string name_;
 
  public:
    Muggle(std::string name) : name_(name) { }
 
    std::string getName () const {
        return name_;
    }
};
 
class Wizard  {
  private:  
    std::string name_;
 
  public:  
    Wizard(std::string name) : name_(name) { }
 
    std::string getName () const {
        return name_;
    }
  };
 
  class Halfblood : public Muggle, public Wizard {
  private:
    bool isMotherMuggle_;
    bool isFatherMuggle_;
 
  public:
    Halfblood(std::string m_name, std::string w_name, 
      bool muggleMother, bool muggleFather) : Muggle(m_name), 
      Wizard(w_name), isMotherMuggle_(muggleMother), 
      isFatherMuggle_(muggleFather) {}
  };
 
  int main()
  {
    Halfblood he_who_must_not_be_named("Tom Riddle", "Lord Voldemort", 
      false, true);
    std::cout << he_who_must_not_be_named.getName();
 
    return 0;
  }